Bug 1256819 - [GSS](6.4.z) Incorrect display of application name while assigning a new application to the ServerGroup.
[GSS](6.4.z) Incorrect display of application name while assigning a new appl...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.4.2
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.4
Assigned To: Enrique Gonzalez Martinez
Pavel Jelinek
:
Depends On:
Blocks: 1235744 1247280
  Show dependency treegraph
 
Reported: 2015-08-25 10:05 EDT by Ranjith Pulluru
Modified: 2017-01-17 05:56 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ranjith Pulluru 2015-08-25 10:05:25 EDT
Description of problem:
=======================
 - Incorrect display of application name while assigning a new application to the servergroup

Version-Release number of selected component (if applicable):
==============================================================
 - JBoss EAP 6.4.2 

Steps to reproduce:
====================
1) Open JBoss EAP 6.4.2 admin console.
2) Add the example.war to the deployment and then assign to server group.
3) Remove the example.war file from the deployments from the admin console.(successfully removed).
4) and then add next application sample.war to the deployment.
5) click "assign" button, then you will see the pop window with previous application name("example.war"). (which is incorrect)

Actual results:
===============
- You will see the pop window with previous application name("example.war"). (which is incorrect)


Expected results:
=================
- Pop window should show the application name "sample.war" 

Additional info:
=================
- This problem occurs until you don't select a new application or refresh the browser.
- Above issue doesn't exist in JBoss EAP 6.4.1. Above issue occurs in jboss EAP 6.4.2 and jboss EAP 6.4.3.
Comment 7 Enrique Gonzalez Martinez 2015-08-28 12:17:48 EDT
Hi:

the selection model is not getting cleared once the deployment table is being refreshed. This causes the  buttons to be available with an non existent item.

just to clarify a bit the reproducer:

Steps to reproduce:
====================
1) Open JBoss EAP 6.4.2 admin console.
2) Add the example.war to the deployment and then assign to server group.
3) Remove the example.war file from the deployments from the admin console.(successfully removed).
4) try to click in remove, assign or replace buttons. It will show the old selection.
Comment 8 Enrique Gonzalez Martinez 2015-08-31 03:13:20 EDT
PR 2.5.x: https://github.com/hal/core/pull/63
No upstream required
Comment 10 Enrique Gonzalez Martinez 2015-08-31 04:31:47 EDT
Merged: https://github.com/hal/core/commit/1104503918c191bf2a75425209fc6174575a5690
Comment 11 Pavel Jelinek 2015-09-22 07:02:43 EDT
Verified for 6.4.4.CP.CR3.
Comment 12 Petr Penicka 2017-01-17 05:55:49 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 13 Petr Penicka 2017-01-17 05:56:06 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.